package rekisteriJAVA;

import java.io.PrintStream;


/**
 * 
 * @author idamk
 * @version 22.2.2023
 *
 */
public class Henkilo {

    private int         tunnusNro       = 0;
    private String      nimi            = "";
    private String      syntymaAika     = ""; // vai int?
    private int         tehtava         = 0;
    private String      kotiKunta       = "";
    private String      seura           = "";
    
    private static int seuraavaNro = 1;
    
    
    /**
     * Oletusmuodostaja, asettaa henkilon tiedot tyhjäksi
     */
    public Henkilo() {
        // ei tarvitse oletusmuodostajaa
    }
    
    /**
     * Tulostaa tietovirran, nyt "Kalle"
     * @param out Kalle
     */
    public void tulosta(PrintStream out) {
        out.println(String.format("%03d", tunnusNro) + " " + nimi);
        out.println(syntymaAika + " " + kotiKunta);
        out.println(tehtava + " " + seura);
    }
    
    /**
     * @param args ei käytössä
     */
    public static void main(String[] args) { //ei kuuluisi olla kuin yksi kpl ohjelmassa, ajaessa kerrotaan mikä main ajetaan
        Henkilo kalle = new Henkilo(); //luo uuden jäsenen
        Henkilo kalle2 = new Henkilo();
        
        kalle.rekisteroi(); //antaa numeron
        kalle2.rekisteroi();
        
        kalle.tulosta(System.out); //tulostaa näkyville, muttei shelliin
        kalle2.tulosta(System.out);
        
        kalle.vastaaKalleRovanpera(); //täyttää lomakkeen valmiiksi
        kalle2.vastaaKalleRovanpera();
        
        kalle.tulosta(System.out);
        kalle2.tulosta(System.out);

    }
   
    
    
    /**
     * 
     */
    public void vastaaKalleRovanpera() {
        nimi = "Rovanperä Kalle ";
        syntymaAika = "1.1.2000";
        tehtava = 0;
        kotiKunta = "Jyväskylä";
        seura = "Toyota Kangaroo Racing";
        
         
    }

    
    /**
     * Luo tunnusnumeron henkilölle
     * @return tunnusnumero
     */
    public int rekisteroi() {
        tunnusNro = seuraavaNro;
        seuraavaNro++;
        return tunnusNro;
        
    }

    /**
     * Palauttaa henkilön tunnusnumeron
     * @return tunnusnumero
     */
    public Object getTunnusNro() {
        return tunnusNro;
    }

}
