package rekisteriJAVA;

public class Henkilot {
    private static final int MAX_HENKILOITA = 8;
    private int lkm = 0;
    private String tiedostoString = "";
    private Henkilo henkilot[] = new Henkilo[MAX_HENKILOITA];
    
    
    /**
     * Lisää uuden henkilön tiedostoon
     * @param henkilo henkilö joka halutaan lisätä
     * @throws SailoException virheilmoitus
     */
    public void lisaa(Henkilo henkilo) throws SailoException {
        if(lkm >= henkilot.length) throw new SailoException("Liikaa tyyppejä");
        henkilot[lkm] = henkilo;
        lkm++;
    }


    public int getLkm() {
        return lkm;
    }
}
