package rekisteriJAVA;

import java.io.PrintStream;

public class Ralli {

    private int         tunnusNro       = 0;
    private String      nimi            = "";
    private String      paikkakunta     = "";
    private String      ajankohta       = ""; // vai int?
    private String      jarjestaja      = "";
    private String      linkkiSivuille  = "";
    private String      linkkiOL        = "";
    private String      linkkiT         = "";
    
    private static int seuraavaNro = 1;
    
    
    /**
     * Oletusmuodostaja, asettaa henkilon tiedot tyhjäksi
     */
    public Ralli() {
        // ei tarvitse oletusmuodostajaa
    }
    
    /**
     * Tulostaa tietovirran, nyt "Kalle"
     * @param out Kalle
     */
    public void tulosta(PrintStream out) {
        out.println(String.format("%03d", tunnusNro) + " " + nimi);
        out.println(paikkakunta + " " + ajankohta);
        out.println(jarjestaja);
        out.println(linkkiSivuille);
        out.println(linkkiOL);
        out.println(linkkiT);
    }
    
    /**
     * @param args ei käytössä
     */
    public static void main(String[] args) { //ei kuuluisi olla kuin yksi kpl ohjelmassa, ajaessa kerrotaan mikä main ajetaan
        Ralli pohjanmaa = new Ralli(); //luo uuden jäsenen
        Ralli pohjanmaa2 = new Ralli();
        
        pohjanmaa.rekisteroi(); //antaa numeron
        pohjanmaa2.rekisteroi();
        
        pohjanmaa.tulosta(System.out); //tulostaa näkyville, muttei shelliin
        pohjanmaa2.tulosta(System.out);
        
        pohjanmaa.vastaaPohjanmaaralli(); //täyttää lomakkeen valmiiksi
        pohjanmaa2.vastaaPohjanmaaralli();
        
        pohjanmaa.tulosta(System.out);
        pohjanmaa2.tulosta(System.out);
    }
   
 
    /**
     * Luo tunnusnumeron henkilölle
     * @return tunnusnumero
     */
    public int rekisteroi() {
        tunnusNro = seuraavaNro;
        seuraavaNro++;
        return tunnusNro;
    }

    /**
     * Palauttaa henkilön tunnusnumeron
     * @return tunnusnumero
     */
    public Object getTunnusNro() {
        return tunnusNro;
    }

    /**
     * Valmis vastaus rallille
     */
    public void vastaaPohjanmaaralli() {
        nimi = "Pohjanmaaralli";
        paikkakunta = "Seinäjoki";
        jarjestaja = "Seinäjoen ralliveikot";
        linkkiSivuille = "www.Pohjanmaaralli.fi";
        linkkiOL = "www.Pohjanmaaralli.fi/osallistujalista";
        linkkiT = "www.Pohjanmaaralli.fi/tulokset";
        
    }
}
